import type { ReactElement, Ref } from 'react';
import type { IconBaseProps } from './IconBase';
type IconBaseRef = {
    ref?: Ref<HTMLSpanElement>;
};
interface ThirdIconProps extends IconBaseProps, IconBaseRef {
    component: ReactElement;
}
interface SVGSymbolIconProps extends IconBaseProps, IconBaseRef {
    symbolId: string;
}
export type IconProps = ThirdIconProps | SVGSymbolIconProps;
declare function Icon(props: ThirdIconProps): ReactElement;
declare function Icon(props: SVGSymbolIconProps): ReactElement;
export default Icon;
